Bug 157594 - Fix port: devel/py-gitosis should use USERS
Summary: Fix port: devel/py-gitosis should use USERS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-04 10:50 UTC by Chris Rees
Modified: 2011-07-03 16:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rees 2011-06-04 10:50:10 UTC
	

	This port uses pkg-install to create new users instead of using USERS= and GROUPS=

Fix: - Use USERS and GROUPS

	Submitted by: Chris Rees (utisoft@gmail.com)

	Please note that pkg-install has been removed




-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.--mIO7AEuS9yIz4vyaSEcJQkAuSJTDcGvf8WzvhTEnBuCzvQuR
Content-Type: text/plain; name="devel-py-gitosis.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="devel-py-gitosis.patch"

Index: Makefile
===================================================================
RCS file: /exports/cvsroot-freebsd/ports/devel/py-gitosis/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- Makefile	15 Jan 2011 15:33:32 -0000	1.5
+++ Makefile	2 Jun 2011 14:55:56 -0000
@@ -22,15 +22,12 @@
 USE_BZIP2=	yes
 USE_PYTHON=	yes
 USE_PYDISTUTILS=	easy_install
+USERS=		git
+GROUPS=		${USERS}
 
 WRKSRC=		${WRKDIR}/${PORTNAME}
 PYDISTUTILS_PKGVERSION=	${PORTVERSION:R}
 
-pre-su-install:
-	@${SETENV} PKG_PREFIX=${PREFIX} GITUSER=${GITUSER} \
-		GITGROUP=${GITGROUP} GITHOME=${GITHOME} \
-		${SH} ${PKGINSTALL} ${PKGNAME} PRE-INSTALL
-
 post-install:
 	${CHMOD} +x ${PYTHON_SITELIBDIR}/${PYEASYINSTALL_EGG}/gitosis/templates/admin/hooks/post-update
 	@${CAT} ${PKGMESSAGE}
Index: pkg-install
===================================================================
RCS file: pkg-install
diff -N pkg-install
--- pkg-install	15 Sep 2009 08:23:25 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,43 +0,0 @@
-#!/bin/sh
-
-# $FreeBSD: ports/devel/py-gitosis/pkg-install,v 1.1 2009/09/15 08:23:25 nivit Exp $
-
-PATH=/bin:/usr/bin:/usr/sbin
-
-case $2 in
-PRE-INSTALL)
-	GITUSER=${GITUSER:-git}
-	GITGROUP=${GITGROUP:-git}
-	GITHOME=${GITHOME:-${PKG_PREFIX}/${GITUSER}}
-	UID=211
-	GID=211
-
-	if pw group show "${GITGROUP}" 2>/dev/null; then
-		echo "You already have a group \"${GITGROUP}\", so I will use it."
-	else
-		if pw groupadd ${GITGROUP} -g ${GID}; then
-			echo "Added group \"${GITGROUP}\"."
-		else
-			echo "Adding group \"${GITGROUP}\" failed..."
-			exit 1
-		fi
-	fi
-
-	if pw user show "${GITUSER}" 2>/dev/null; then
-		echo "You already have a user \"${GITUSER}\", so I will use it."
-	else
-		if pw useradd ${GITUSER} -u ${UID} -g ${GITGROUP} -h - -d ${GITHOME} \
-			-c "gitosis user"
-		then
-			echo "Added user \"${GITUSER}\"."
-		else
-			echo "Adding user \"${GITUSER}\" failed..."
-			exit 1
-		fi
-	fi
-
-	if ! [ -x ~${GITUSER} ] ; then
-		install -m 755 -o ${GITUSER} -g ${GITGROUP} -d ${GITHOME}
-	fi
-	;;
-esac
Comment 1 Edwin Groothuis freebsd_committer 2011-06-04 10:50:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

pgollucci@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-06-04 10:50:31 UTC
Maintainer of devel/py-gitosis,

Please note that PR ports/157594 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/157594

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-06-04 10:50:33 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Douglas Thrift 2011-06-04 11:16:09 UTC
On 6/4/2011 2:50 AM, Edwin Groothuis wrote:
> Maintainer of devel/py-gitosis,
> 
> Please note that PR ports/157594 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/157594
> 

Looks good to me. I approve.

Thanks!
-- 
Douglas William Thrift
<douglas@douglasthrift.net>
<http://douglasthrift.net/>
Comment 5 Chris Rees freebsd_committer 2011-06-22 17:54:06 UTC
Responsible Changed
From-To: pgollucci->crees

Invalid autoassignment
Comment 6 Chris Rees freebsd_committer 2011-06-22 18:02:12 UTC
Responsible Changed
From-To: crees->freebsd-ports-bugs

To pool to correct assign message
Comment 7 Chris Rees freebsd_committer 2011-06-22 18:24:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

Invalid autoassignment to pgollucci
Comment 8 Chris Rees freebsd_committer 2011-06-26 17:34:54 UTC
State Changed
From-To: feedback->open

Maintainer has approved.
Comment 9 dfilter service freebsd_committer 2011-07-03 16:19:29 UTC
crees       2011-07-03 15:19:15 UTC

  FreeBSD ports repository

  Modified files:
    devel/py-gitosis     Makefile 
  Removed files:
    devel/py-gitosis     pkg-install 
  Log:
  - Use USERS and GROUPS
  
  PR:             ports/157594
  Submitted by:   Chris Rees <utisoft@gmail.com>
  Approved by:    rene (mentor), maintainer (Douglas Thrift)
  
  Revision  Changes    Path
  1.6       +2 -5      ports/devel/py-gitosis/Makefile
  1.2       +0 -43     ports/devel/py-gitosis/pkg-install (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Chris Rees freebsd_committer 2011-07-03 16:19:31 UTC
State Changed
From-To: open->closed

Committed. Thanks!